Bug 789747 - Legacy sysv init script should be dropped or package separately as stated by the FPG
Legacy sysv init script should be dropped or package separately as stated by ...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: libvirt (Show other bugs)
17
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Laine Stump
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-02-12 14:32 EST by Jóhann B. Guðmundsson
Modified: 2012-12-17 18:42 EST (History)
11 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-17 18:42:38 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jóhann B. Guðmundsson 2012-02-12 14:32:20 EST
Description of problem:

Summary says it all please follow FPG. It serves absolutely no purpose shipping the legacy sysv init script once it has been replaced with a native systemd one...

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Daniel Berrange 2012-09-21 06:29:23 EDT
Fix posted upstream

https://www.redhat.com/archives/libvir-list/2012-September/msg01538.html
Comment 2 Cole Robinson 2012-10-07 19:38:48 EDT
Actually that fix isn't complete, upstream still seems to install libvirt-guests init script unconditionally.
Comment 3 Cole Robinson 2012-10-20 22:51:43 EDT
Additional patch sent upstream:

https://www.redhat.com/archives/libvir-list/2012-October/msg01121.html
Comment 4 Cole Robinson 2012-12-17 18:42:38 EST
This is in rawhide now

Note You need to log in before you can comment on or make changes to this bug.